import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    verifyCode:code,
    verifyKey:uuid
  }
  return request({
    url: 'horizon/system/login',
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: 'horizon/system/user/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/horizon/system/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    // url: '/horizon/system/captcha/get',
    url: '/horizon/system/captcha/get',
    method: 'get'
  })
}
